<!DOCTYPE html>
<html>
<head>
  <title>Ajouter une Liste</title>
  <link rel="stylesheet" href="Style/bootstrap.css">
  <link rel="stylesheet" href="Style/listStyle.css">
</head>




<div class="sidenav">
        <form method="POST" name="goBackHome" id="GoHome"> 
            <input type="submit" value="Public lists"/>
            <input type="hidden" name="action" value="goHome"/>
        </form>
        
        <?php
        if(isset($_SESSION['login'])){
            ?>
                <form method="POST" name="goBackHome" id="GoHome"> 
                    <input type="submit" value="Private lists"/>
                    <input type="hidden" name="action" value="viewPrivateList"/>
                </form>
                <?php
        }
            ?>
</div>





<div class="main">
  
<?php

if(!isset($_SESSION['login'])){
    ?>
        <div class="topnav">
            <form method="post" name="connection" id="connection">
                <input class="connection" type="submit" value="Connection"/>
                <input type="hidden" name="action" value="accessSignIn"/>
            </form>
        </div>
        <?php
}
else{
    ?>
        <div class="topnav">
            <form method="post" name="deconnection" id="deconnection">
                <input class="connection" type="submit" value="Deconnection"/>
                <input type="hidden" name="action" value="deconnection"/>
            </form>
        </div>
        <?php
}
?>
  
  <h2>List details</h2>
  
  <?php 
        

        if (isset($dataView)): 
    ?>
        <div class="container">

            <ul>
                <li class="table-header">
                    <div class="col col-1">List name</div>
                    <div class="col col-3">Private</div>
                    <div class="col col-4">Modify</div>
                    <div class="col col-5">Delete</div>

                </li>
                <li class="table-row">
                <?php 
                foreach ($dataView as $list){
                ?>  
                    <div class="col col-1"><?php echo ($list->getName()) ?></div>

                    <?php 
                        if ($list->getPrivate()){
                        ?>
                            <form method="POST" id="changePrivate" name="changePrivate">
                                <input type="checkbox" id="private" checked disabled readonly class="col col-3"></input>
                                <input type="hidden" name="list" value="<?=$list->getId()?>"/></input>
                            </form>

                            <form method="POST" id="modifyList" name="modifyList" class="col col-4">
                                <input type="submit"  value="Modify"/>
                                <input type="hidden" name="action" value="accessModifyListPriv"/>
                                <input type="hidden" name="list" value="<?=$list->getId()?>"/>
                            </form>
                        <?php 
                        }
                        else{
                        ?>
                            <input type="checkbox" id="private" disabled readonly class="col col-3"></input>
                            
                        <?php 
                        }
                        ?>
                        
                    
                        
                    <form method="post" id="marche" name="marche" class="col col-5">
                        <input value="Delete" type="submit"/>
                        <input type="hidden" name="action" value="delList"/>
                        <input type="hidden" name="list" value="<?=$list->getId()?>"/>
                    </form>
                </li>
                <?php 
                }
                ?>
            </ul>

            <ul>
                <li class="table-header">
                    <div class="col col-1">Task name</div>
                    <div class="col col-2">Task content</div>
                    <div class="col col-3">Completed</div>
                    <div class="col col-4">Modify</div>
                    <div class="col col-5">Delete</div>

                </li>

                <?php 
                    foreach ($dataView[0]->getTaches() as $tache){
                ?> 
                
                <li class="table-row">
                    <div class="col col-1" data-label="Task name"><?php echo ($tache->getName())?></div>
                    <div class="col col-2" data-label="Task content"><?php echo ($tache->getContent())?></div>
                    <?php 
                    if ($tache->getCompleted()){
                    ?>
                    <form method="POST" id="changeCompleted" name="changeCompleted" class="col col-3">
                        <input type="checkbox" id="completed" checked disabled readonly/>
                        <input type="hidden" name="list" value="<?=$dataView[0]->getId()?>"/>
                        <input type="hidden" name="tache" value="<?=$tache->getId()?>"/>
                    </form>
                    <?php 
                    }
                    else{
                    ?>
                    <form method="POST" id="changeCompleted" name="changeCompleted" class="col col-3">
                        <input type="checkbox" id="completed" disabled readonly/>
                        <input type="hidden" name="list" value="<?=$dataView[0]->getId()?>"/>
                        <input type="hidden" name="tache" value="<?=$tache->getId()?>"/>
                    </form>
                    <?php 
                    }
                    
                    ?>
                    <form method="POST" id="modifyTask" name="modifyTask" class="col col-4">
                        <input type="submit"  value="Modify"/>
                        <input type="hidden" name="action" value="accessModifyTask"/>
                        <input type="hidden" name="list" value="<?=$dataView[0]->getId()?>"/>
                        <input type="hidden" name="task" value="<?=$tache->getId()?>"/>
                    </form>

                    <form method="POST" id="deleteTask" name="deleteTask" class="col col-5">
                        <input type="submit" value="Delete"/>
                        <input type="hidden" name="action" value="deleteTask"/>
                        <input type="hidden" name="list" value="<?=$dataView[0]->getId()?>"/>
                        <input type="hidden" name="tache" value="<?=$tache->getId()?>"/>
                    </form>
                </li>
                
            
                <?php 
                }
                ?>
                <li class="table-row">
                    <form method="POST" id="addTask" name="addTask" class="col col-6">
                        <input type="submit" value="Add task" />
                        <input type="hidden" name="action" value="accessAddTask" />
                        <input type="hidden" name="list" value="<?=$dataView[0]->getId()?>"/>
                    </form>

                </li>

            </ul>

            
        </div>

        <?php
        endif;
        ?>
    </div>
</div>
