<?php
class UserController {

    function __construct() 
    {
        global $rep,$vues;
        $dVueEreur = array ();

        try {
            $action = $_REQUEST['action'];
            switch($action) {
                case "delete":
                    $this->Delete();
                    break;

                case "update":
                    $this->Update();
                    break;
                
                case "deconnection":
                    $this->deconnection($dVueEreur);
                    break;
                
                case "accessAddListPrivee":
                    require($rep.$vues['addList']);
                    break;
                    
                case "accessModifyListPriv":
                    $mdlListe= new MdlListe();
                    $liste=$mdlListe->findById($_POST['list']);
                    $dataView=$liste;
                    require($rep.$vues['modifyListPriv']);
                    break;
                case "addPrivateList":
                    $this->AddListPrivate($dVueEreur);
                    break;

                case "viewPrivateList":
                    $this->PrivateList($dVueEreur);
                    break;

                default:
                    $dVueEreur[] =	"Erreur d'appel php";
                    require ($rep.$vues['accueil']);
                    break;
            }
        }
        catch (PDOException $e){
            $dVueEreur[] = "Erreur BDD";
            require ($rep.$vues['erreur']);
        }
        catch (Exception $e2){
            $dVueEreur[] = "Erreur innatendue";
            require ($rep.$vues['erreur']);
        }
        exit(0);
    }

    function Delete() {
        if(isset($_SESSION['username'])) {
            $results = $this->$mdlUsr->delete(); //A compléter avec bons arguments
            session_unset();
            session_destroy();
            require ($rep.$vues['accueil']);
        }
    }

    function Update() {
        if(isset($_SESSION['username'])) {
            $results = $this->$mdlUsr->update(); //Ajouter arguments
            require ($rep.$vues['accueil']);
        }
    }

    function AddListPrivate($dVueEreur) {
        global $rep, $vues, $dataView;

        $name=$_POST['name'];
        $private=$_POST['private'];

        Validation::val_intitule($name, $dVueEreur);

        try {        
            $mdlUsr = new MdlUser();
            $mdlListe = new MdlListe();

            $list=[];
            $user=$mdlUsr->findByName($_SESSION['login']);
            $list[]=$mdlListe->insert($name, $private, $user);
            $dataView=$list;
            require($rep.$vues['seeList']);
        } 
        catch (PDOException $e) {
            $dataView[]="Erreur inatendue";
            require($rep.$vues['erreur']);
        }
    }

    function PrivateList($dVueEreur){
        global $rep, $vues, $dataView;
        $mdlUsr = new MdlUser();
        $model = new MdlListe();
        $user=$mdlUsr->findByName($_SESSION['login']);
        $dataView = $model->findByUser($user);
        require($rep.$vues['accueilPrivate']);
    }

    function deconnection($dVueEreur){
        global $rep, $vues;
        $model = new MdlUser();
        $retour = $model->deconnection();
        $_REQUEST['action']=null;
        $control= new VisitorController();
        $dVueEreur = array();
    }
}


?>